import { HcApi } from '../../request/index'

export default {
       //分页
    async page(form) {
        return HcApi({
            url: '/api//blade-attach/project/page',
            method: 'post',
            data: form,
        }, false)
    },
   
    //新增
    async add(form) {
        return HcApi({
            url: '/api/blade-attach/project/add',
            method: 'post',
            data: form,
        }, false)
    },
        //修改
     async update(form) {
        return HcApi({
            url: '/api/blade-attach/project/update',
            method: 'post',
            data: form,
        }, false)
    },
    //项目与计划详情
    async detailMore(id) {
        return HcApi({
            url: '/api/blade-attach/project/project-and-plan-detail',
            method: 'get',
            params: { id },
        }, false)
    },
    //项目详情
    async detail(id) {
        return HcApi({
            url: '/api/blade-attach/project/detail',
            method: 'get',
            params: { id },
        }, false)
    },
    //修改项目完成情况
    async updateProFin(form) {
    return HcApi({
        url: '/api/blade-attach/project/update-project-finished',
        method: 'post',
        data: form,
    }, false)
},
}
